Bug 806370 - facter should restart puppet on upgrade if it is running
facter should restart puppet on upgrade if it is running
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: facter (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
: 906856 (view as bug list)
Depends On:
Blocks: 906856
  Show dependency treegraph
 
Reported: 2012-03-23 11:05 EDT by Orion Poplawski
Modified: 2013-04-19 13:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 906856 (view as bug list)
Environment:
Last Closed: 2013-03-28 21:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-03-23 11:05:52 EDT
Description of problem:

After updating to facter-1.6.6-1.fc16.x86_64, I started getting:

Mar 21 04:10:27 alfresco puppet-agent[1277]: Could not run Puppet configuration client: Could not retrieve local facts: undefined method `has_openstack_mac?' for Facter::Util::EC2:Module

I think facter should restart puppet-agent if it is running in %post.
Comment 1 Todd Zullinger 2012-03-23 11:42:32 EDT
I hit this myself as well and added a notify in my puppet manifests.  I debated whether facter should have such a thing in a %post and didn't decide.  In all the times I've updated facter, this is the first time I've ever run into such a thing.

While in most cases a %post like:

service puppet condrestart &>/dev/null || :

probably wouldn't hurt, it might annoy some people to have their agents restart if they are in the middle of a run.  Which do you think is more likely to be a problem?  (I'm honestly not sure.)
Comment 2 Todd Zullinger 2012-03-23 11:46:39 EDT
I didn't look in the upstream tracker to see if anyone reported this there.  It may really be a bug that facter changed this in a minor version bump and didn't provide any sort of fallback for compatibility.  If you happen to stumble across an upstream bug, let me know.
Comment 3 Orion Poplawski 2012-03-28 11:19:25 EDT
Facter issue: http://projects.puppetlabs.com/issues/12879

I don't think a condrestart would be disruptive, at least, it shouldn't be :), so I would suggest it for now.   If puppet or facter is changed later to be able to handle these changes better later we can drop it.
Comment 4 Orion Poplawski 2012-11-09 10:16:42 EST
Happened again with the facter 1.6.14 upgrade on EL6 and Fedora 17:

puppet-agent[21564]: Could not run Puppet configuration client: Could not retrieve local facts: undefined method `kernel_fact_value' for Facter::Util::Processor:Module
Comment 5 Fedora End Of Life 2013-01-16 19:39:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Orion Poplawski 2013-02-01 12:41:06 EST
Still present.
Comment 7 Todd Zullinger 2013-03-19 09:16:36 EDT
*** Bug 906856 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2013-03-19 13:04:11 EDT
facter-1.6.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.fc17
Comment 9 Fedora Update System 2013-03-19 13:05:00 EDT
facter-1.6.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.fc18
Comment 10 Fedora Update System 2013-03-19 13:05:50 EDT
facter-1.6.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.el6
Comment 11 Fedora Update System 2013-03-19 13:06:29 EDT
facter-1.6.18-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-1.el5
Comment 12 Fedora Update System 2013-03-19 17:26:17 EDT
Package facter-1.6.18-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing facter-1.6.18-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0708/facter-1.6.18-1.el6
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-03-28 21:21:47 EDT
facter-1.6.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-03-28 21:22:37 EDT
facter-1.6.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-04-03 10:26:26 EDT
facter-1.6.18-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-2.el5
Comment 16 Fedora Update System 2013-04-03 10:27:13 EDT
facter-1.6.18-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-2.el6
Comment 17 Fedora Update System 2013-04-03 19:23:55 EDT
facter-1.6.18-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.18-3.el6
Comment 18 Fedora Update System 2013-04-03 19:25:25 EDT
facter-1.6.18-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.18-3.el5
Comment 19 Fedora Update System 2013-04-19 13:01:16 EDT
facter-1.6.18-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-04-19 13:05:07 EDT
facter-1.6.18-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.